Download it now!
Bug 96981 - All cells selector button not functional when in formula mode
Summary: All cells selector button not functional when in formula mode
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Cell-Formula
  Show dependency treegraph
 
Reported: 2016-01-09 10:08 UTC by Óvári
Modified: 2018-07-17 02:39 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Bug 96981 Explanation (42.87 KB, image/png)
2016-01-19 01:06 UTC, Óvári
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Óvári 2016-01-09 10:08:29 UTC
Let ALL_HEADING be the rectangle which is the intersection of the row and column headings, i.e. Left of column heading A and above row heading 1.


Scenario A – works correctly
============================

1. In cell A1, type:   =SUM(
2. Click ALL_HEADING and nothing happens as this would create a circular reference.


Scenario B – works correctly
============================

1. Create 3 sheets, i.e. Sheet1, Sheet2 and Sheet3.
2. Click Sheet1.
3. Press and hold Ctrl and click Sheet3, then release Ctrl.
4. In cell A1 (still on Sheet1), type:   =SUM(
5. Click on Sheet3.
6. Click ALL_HEADING and nothing happens as this would create a circular reference in Sheet3.


Scenario C – works incorrectly
==============================

1. Create 3 sheets, i.e. Sheet1, Sheet2 and Sheet3.
2. Click Sheet1.
3. In cell A1, type:         =SUM(
4. Press Ctrl+PgDn (or click on Sheet2).
5. Click ALL_HEADING (in Sheet2) and cell A1 (of Sheet1) contains
      Current behaviour  :   =SUM(
      Expected behaviour :   =SUM(Sheet2.1:1048576)

Note: Another representation for the entire sheet could be:
   =SUM(Sheet2.A:AMJ)
however, this may cause regressions when the maximum number of columns is increased (see bug 50916). Saving entire sheets using row references may be preferable to using column references.

Thank you
Comment 1 Buovjaga 2016-01-18 18:12:05 UTC
C not reproduced.

Win 7 Pro 64-bit Version: 5.2.0.0.alpha0+
Build ID: 000df1832b54ba8f48c7f1c4c1cd92b70f6402da
CPU Threads: 4; OS Version: Windows 6.1; UI Render: default; 
TinderBox: Win-x86@39, Branch:master, Time: 2016-01-18_01:08:28
Locale: fi-FI (fi_FI)
Comment 2 Óvári 2016-01-19 01:06:07 UTC
Created attachment 122070 [details]
Bug 96981 Explanation

Please see attached file ‘Bug 96981 Explanation.png’ to assist with ‘Select Entire Sheet creating formula’

ALL_HEADING has been filled with red colour.
Sheet2 and Sheet3 have been filled with green colour. Note: these could have different names for different languages.

1. Open LibreOffice Calc with 2 sheets, i.e. ‘Sheet1’ and ‘Sheet2’.
2. Click on ‘Sheet1’.
3. In cell A1, type :
     =SUM(
4. Click on ‘Sheet2’.
5. Click ALL_HEADING (in Sheet2) and cell A1 (of Sheet1) should contain:
     =SUM(Sheet2.1:1048576)

Thank you

Version: 5.2.0.0.alpha0+
Build ID: 000df1832b54ba8f48c7f1c4c1cd92b70f6402da
CPU Threads: 2; OS Version: Windows 6.29; UI Render: default; 
TinderBox: Win-x86@39, Branch:master, Time: 2016-01-18_01:08:28
Comment 3 Buovjaga 2016-01-19 17:19:50 UTC
Thanks, but I got the steps right the first time :)
Nothing happens when I hit the corner area in Sheet2.
Sheet1.A1 stays as =SUM(
Comment 4 raal 2016-01-19 18:09:34 UTC
(In reply to Beluga from comment #3)
> Thanks, but I got the steps right the first time :)
> Nothing happens when I hit the corner area in Sheet2.
> Sheet1.A1 stays as =SUM(

Me too.
Version: 5.2.0.0.alpha0+
Build ID: 442a022cf7baefbd5519ea55c7978cf839e1f44d
CPU Threads: 1; OS Version: Windows 6.1; UI Render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2016-01-19_17:38:34
Comment 5 Óvári 2016-01-20 03:02:48 UTC
Is it possible for someone to change the status from UNCONFIRMED to NEW? My understanding is that the person who posts a bug is not allowed to changed status to NEW. Thank you kindly.
Comment 6 Buovjaga 2016-01-20 06:31:17 UTC
(In reply to Óvári from comment #5)
> Is it possible for someone to change the status from UNCONFIRMED to NEW? My
> understanding is that the person who posts a bug is not allowed to changed
> status to NEW. Thank you kindly.

We can't set it to NEW as no one has been able to reproduce it :(
Comment 7 Óvári 2016-01-20 06:49:05 UTC
(In reply to Beluga from comment #6)
> We can't set it to NEW as no one has been able to reproduce it :(

Sorry for my incomprehensible English.

You have reproduced it as you mentioned:
  Nothing happens when I hit the corner area in Sheet2.
  Sheet1.A1 stays as =SUM(

That is the bug, i.e. nothing happens, when Sheet1.A1 should change to: =SUM(Sheet2.1:1048576)

Please advise if you need further explanation of what the bug is to enable status to be changed to NEW.

Thank you
Comment 8 Buovjaga 2016-01-20 06:58:59 UTC
Ok it seems my reading comprehension was particularly bad this time :(
Comment 9 Óvári 2016-01-20 08:58:41 UTC
(In reply to Beluga from comment #8)
> Ok it seems my reading comprehension was particularly bad this time :(

Kiitos Beluga! (Thank you)
Comment 10 Óvári 2016-01-20 09:01:57 UTC
(In reply to Beluga from comment #8)
> Ok it seems my reading comprehension was particularly bad this time :(

Does the description need rewording so that others (eg. developers, programmers) understand this bug, i.e. it is easier to comprehend?
Comment 11 raal 2016-01-20 09:03:51 UTC
Reproducible with Version 4.0.0.3 (Build ID: 7545bee9c2a0782548772a21bc84a9dcc583b89)
Comment 12 Buovjaga 2016-01-20 09:27:31 UTC
(In reply to Óvári from comment #10)
> (In reply to Beluga from comment #8)
> > Ok it seems my reading comprehension was particularly bad this time :(
> 
> Does the description need rewording so that others (eg. developers,
> programmers) understand this bug, i.e. it is easier to comprehend?

Yep, might be nice if you can come up with some more revealing summary
Comment 13 Óvári 2016-01-20 21:20:16 UTC
(In reply to Beluga from comment #12)
> Yep, might be nice if you can come up with some more revealing summary

Initially the summary of bug 96981 was “Formula creation using entire sheet heading”.

I changed the summary of bug 96981 to “Select Entire Sheet creating formula” to be similar to the summary of bug 34094 to “Select Column creating formula” (as these bugs/patches/fixes are related).

Please change the summary to whichever you think is preferable:
1. Create formula with entire sheet
2. Create formula with entire sheet using mouse
3. Select an entire sheet within a formula using left mouse click on entire sheet heading
4. Creating entire sheet range in formula by mouse left-click on the intersection of the column and row headings
5. Creating entire sheet range in formula by mouse left-click on the ALL_HEADING
6. Happy if you change it to your a better summary that what is shown above

Please advise the correct name for what I called ALL_HEADING.

Thank you
Comment 14 Óvári 2016-04-01 11:28:21 UTC
This seems to relate to patch of bug 34094.

Added Dennis Francis to CC.

@Dennis Francis: Could you implement at patch for “Scenario C” in comment #0 to target:5.2.0?

It would be great if Scenario A is implemented; even if the patch breaks Scenario A and Scenario B.

Thank you
Comment 15 QA Administrators 2017-05-22 13:23:30 UTC Comment hidden (obsolete)
Comment 16 Óvári 2017-05-23 10:34:32 UTC
(In reply to QA Administrators from comment #15)
Linux Mint 18.1
LibreOffice 5.3.3.2
Not fixed
Comment 17 QA Administrators 2018-07-17 02:39:38 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug